@import url('https://fonts.googleapis.com/css2?family=Ubuntu:wght@300;400;500;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto+Mono:ital,wght@0,100..700;1,100..700&display=swap');

* {
    box-sizing: border-box;
    -webkit-font-smoothing: antialiased; /*Safari-smoothing fonts*/
    font-family: Roboto Mono, sans-serif;
}

html {
    font-size: 18px;
    line-height: 1.5;
}

/* breakpoints can be multiple, can have many selectors, in order */
@media (max-width: 600px) {
  html {
    font-size: 14px;
  }
  
  section {
    padding: 4rem 1rem; /* add padding for smaller screens */
    background-attachment: scroll; /* disable fixed background for smaller screens */
  }

  article {
    margin: 1.5rem 0;
    padding: 1rem;
  }
}

@media (max-width: 420px) {
  #social {
    flex-direction: column;
    align-items: center;
  }

    section {
    background-attachment: scroll; /* disable fixed background for smaller screens */
  }
}

/* Retina */
@media (-webkit-min-device-pixel-ratio: 2), (min-resolution: 192dpi) {
  #home {
    /* background-image: url('media/home.png'); */
    background-image: url('media/contact.jpg'); /* using this temporarily; there are 2 lines like this in this stylesheet */
  }

  #about {
    background-image: url('media/about-us.jpg');
  }

  #price {
    background-image: url('media/price.jpg');
  }

  #contact {
    background-image: url('media/contact.jpg');
  }
}

@supports (-webkit-touch-callout: none) {
  section {
    background-attachment: scroll;
  }
}

@supports (-webkit-touch-callout: none) {
  section {
    height: auto !important;
    min-height: 100dvh;
    background-attachment: scroll !important;
  }
}

body {
    margin: 0;
    color: #fff;
}

body.is-ios section {
  background-attachment: scroll;
}


/*temporarily hide these, to style section
footer, article {
  display: none;
}*/

.navbar {
    position: fixed;
    width: 100%;
    background: #a67c52;
    color: white;
    padding: 10px 0;
    text-align: center;
    z-index: 1000;
}

.navbar ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

.navbar li {
    display: inline;
    margin: 0 5px; /* 15px */
}

.navbar a {
    color: white;
    text-decoration: none;
    font-weight: bold;
}

header {
    min-height: 100vh;
    height: 100dvh;
    background-position: center center;
    background-size: cover;
    background-attachment: scroll;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.logo {
    margin: 1rem 0;
    width: 40%;
    height: auto;
    max-width: 300px; /* to prevent it from being too large */
}

.logo img {
    width: 100%;
    height: auto;
}

h1 {
    margin: 2rem 0 0;
    text-align: center;
    font-size: 3rem;
    line-height: 1;
    text-transform: uppercase;
    letter-spacing: 6px;
    color: #ffffff;
}

.learn {
    background-color: #a67c52;
    color: #fff;
    padding: 1rem 2rem;
    border: none;
    border-radius: 5px;
    font-size: 1.2rem;
    cursor: pointer;
    text-decoration: none; /* remove underline */
    transition: background-color 0.3s ease;
}

.learn:hover {
    background-color: #8f6a45; /* darker shade on hover */
}

section {
    min-height: 100vh; /* each section takes full viewport height */
    height: 100dvh; /* for mobile devices, use dynamic viewport height */
    background-position: center center;
    background-size: cover;
    background-attachment: scroll;
    background-repeat: no-repeat;
    display: block; /* each section is a block element */ /* but this redundant; redefined below */
    display: flex; /* this is important for the "Make an Appointment button to center */
    flex-direction: column; /* this is important for the "Make an Appointment button to center */
    align-items: center;
    justify-content: center;
}

#home {
    /* background-image: url('media/home.png'); */
    background-image: url('media/contact.jpg'); /* using this temporarily; there are 2 lines like this in this stylesheet */
    padding-top: 2rem
}

#about {
    background-image: url(media/about-us.jpg);
}

#price {
    background-image: url(media/price.jpg);
}

#contact {
    background-image: url(media/contact.jpg);
}

article {
    background-color: rgba(0, 0, 0, 0.5); /*four channel channel, alpha = opacity*/
    /* max-width: fit-content;  /* fit-content will adjust the width to the content */
    max-width: 800px; /* 1024px; */
    width: 80vw; /* fallback for browsers that do not support fit-content */
    text-align: center;
    padding: 1rem;
    margin: 2rem auto; /* auto for left and right margins, 2rem for top and bottom */
    border-radius: 8px;
    transform: translateY(100px); /*horizontal, vertical*/
    opacity: 0; /* 1 is opaque, 0 is transparent*/
    transition: all 0.8s ease-out; /* smooth transition for transform and opacity */
}

.move-up {
    transform: translateY(0);
    opacity: 1;
}

h2 {
    margin: 0 0 1rem 0;  /*clockwise direction; top right bottom left*/
    font-size: 2rem;
    line-height: 1;
    letter-spacing: -1px;
    color: rgba(255,255,255,0.8);
}

p {
    margin: 0;
}

.service-list {
    list-style-type: none;
    margin-bottom: 10px;
}

.disclaimer {
    font-size: 0.8rem;
    color: #bbb;
    margin-top: 1rem;
}

footer {
    background-color: transparent; /* use '#000' if placing after '</main>', i.e. not inside '<section id="contact">' */
    padding: 1rem; /* '4rem' is too much */
    text-align: center;
}

footer a {
    color: white;
    text-decoration: underline;
    font-weight: bold;
}

.icon {
    color: #fff; /* #bbb; - using #fff for better contrast */
    /* display: block; /* treat them like image <-- no, this aligns it left */
    width: 4rem;
    height: 4rem;
    transition: all 0.3s;
}

#social {
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
}

#social li {
    margin: 1rem;
}

.icon:hover {
    transform: scale(1.3) rotate(360deg);
}

/* disabled Facebook and Instagram hover effect (colur change)

.facebook:hover {
    color: #3b5998;
}

.instagram:hover {
    color: #f4a818;
}

*/

.youtube:hover {
    color: #f00;
}

.twitter:hover {
    color: #55acee;
}
